# Interface methods for submodule: ImageMomentsCalculator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: ImageMomentsCalculator
class ImageMomentsCalculatorProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetImage(self, image) -> None:
		""""""
		...

	def SetSpatialObjectMask(self, so) -> None:
		""""""
		...

	def Compute(self) -> None:
		""""""
		...

	def GetTotalMass(self) -> float:
		""""""
		...

	def GetFirstMoments(self) -> Sequence[float]:
		""""""
		...

	def GetSecondMoments(self):
		""""""
		...

	def GetCenterOfGravity(self) -> Sequence[float]:
		""""""
		...

	def GetCentralMoments(self):
		""""""
		...

	def GetPrincipalMoments(self) -> Sequence[float]:
		""""""
		...

	def GetPrincipalAxes(self):
		""""""
		...

	def GetPrincipalAxesToPhysicalAxesTransform(self):
		""""""
		...

	def GetPhysicalAxesToPrincipalAxesTransform(self):
		""""""
		...

